> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List primary accounts

> List accounts from the primary ledger of an invoicing entity.



## OpenAPI

````yaml get /v1/accounting/primary-ledger/accounts
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/accounting/primary-ledger/accounts:
    get:
      tags:
        - Accounting > Accounts
      summary: List primary accounts
      description: List accounts from the primary ledger of an invoicing entity.
      operationId: listPrimaryLedgerAccounts
      parameters:
        - schema:
            type:
              - number
              - 'null'
            minimum: 0
            maximum: 100
            default: 50
          required: false
          name: take
          in: query
        - schema:
            type:
              - number
              - 'null'
            minimum: 0
            default: 0
          required: false
          name: skip
          in: query
        - schema:
            type: string
            description: Invoicing entity ID; defaults to the client's default.
          required: false
          description: Invoicing entity ID; defaults to the client's default.
          name: invoicing_entity_id
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountingLedgerAccountPaginated'
      security:
        - bearer: []
components:
  schemas:
    AccountingLedgerAccountPaginated:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/AccountingPaginationMeta'
        data:
          type: array
          items:
            $ref: '#/components/schemas/AccountingLedgerAccount'
          description: Ledger accounts returned by the request.
      required:
        - meta
        - data
    AccountingPaginationMeta:
      type: object
      properties:
        total:
          type: number
          description: Total number of matching resources.
        taken:
          type: number
          description: Number of resources returned.
        skipped:
          type: number
          description: Number of resources skipped.
      required:
        - total
        - taken
        - skipped
      description: Pagination metadata.
    AccountingLedgerAccount:
      type: object
      properties:
        id:
          type: string
          description: Unique ledger account identifier.
        ledger_id:
          type: string
          description: Owning ledger identifier.
        code:
          type: string
          description: Accounting code of the account.
        type:
          type: string
          enum:
            - asset
            - contra_asset
            - liability
            - contra_liability
            - equity
            - revenue
            - contra_revenue
            - expense
          description: Accounting type of the account.
        is_default:
          type: boolean
          description: Whether the account is a system default.
        name:
          type: string
          description: Display name of the account.
        description:
          type:
            - string
            - 'null'
          description: Optional account description.
        currency:
          type: string
          enum:
            - EUR
            - AED
            - AFN
            - XCD
            - ALL
            - AMD
            - AOA
            - ARS
            - USD
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - XOF
            - BMD
            - BND
            - BOB
            - BRL
            - BSD
            - BTN
            - NOK
            - BWP
            - BYR
            - BZD
            - CAD
            - CDF
            - XAF
            - CHF
            - NZD
            - CLP
            - CNY
            - COP
            - CRC
            - CUP
            - CVE
            - ANG
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - MAD
            - ERN
            - ETB
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HKD
            - HNL
            - HRK
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LYD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRO
            - MUR
            - MVR
            - MWK
            - MXN
            - MYR
            - MZN
            - NAD
            - XPF
            - NGN
            - NIO
            - NPR
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLL
            - SOS
            - SRD
            - SSP
            - STD
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TOP
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - UYU
            - UZS
            - VEF
            - VND
            - VUV
            - WST
            - YER
            - ZAR
            - ZMW
            - ZWL
          description: ISO 4217 account currency.
          example: EUR
        integrations:
          type: array
          items:
            type: object
            properties:
              entity_id:
                type: string
                description: ID of the entity in the provider.
              provider_name:
                type: string
                enum:
                  - adyen
                  - stripe
                  - mollie
                  - gocardless
                  - airwallex
                  - salesforce
                  - hubspot
                  - attio
                  - xero
                  - pennylane
                  - zoho-books
                  - exact-online
                  - quickbooks
                  - netsuite
                  - rillet
                  - campfire
                  - dualentry
                  - datev
                  - anrok
                  - sphere
                  - chargebee
                  - slack
                  - plain
                  - zendesk
                  - pylon
                  - intercom
                  - front
                  - helpscout
                  - claap
                  - grain
                  - gong
                  - jiminny
                  - modjo
                  - posthog
                description: Provider name.
              provider_account_id:
                type: string
                description: ID of the connected provider account.
              created_at:
                type:
                  - string
                  - 'null'
                format: date-time
                description: >-
                  Creation date of the entity in the provider, when it was
                  imported from there. Exposed on products, coupons and
                  subscriptions; `null` when the provider does not report one.
                example: '2024-12-20T16:04:11Z'
              activated_at:
                type:
                  - string
                  - 'null'
                format: date-time
                description: >-
                  Activation date of the entity in the provider, when it was
                  imported from there. Exposed on subscriptions; `null` when the
                  provider does not report one.
                example: '2024-12-20T16:04:11Z'
            required:
              - entity_id
              - provider_name
              - provider_account_id
            description: Reference to the entity in an external provider.
            example:
              entity_id: '123456789'
              provider_name: stripe
              provider_account_id: acc_1234567890
          description: References to this account in external providers.
        last_refreshed_at:
          type:
            - string
            - 'null'
          format: date
          description: Timestamp of the last provider refresh.
        balance:
          type: number
          description: >-
            Lifetime account balance when requested by a list endpoint.
            Expressed in currency's smallest unit.
        period_balance:
          type:
            - number
            - 'null'
          description: >-
            Quarter balance when a year and quarter are supplied. Expressed in
            currency's smallest unit.
        created_at:
          type:
            - string
            - 'null'
          format: date
          description: Timestamp when the account was created.
        updated_at:
          type:
            - string
            - 'null'
          format: date
          description: Timestamp when the account was last updated.
      required:
        - id
        - ledger_id
        - code
        - type
        - is_default
        - name
        - description
        - currency
        - integrations
        - last_refreshed_at
        - created_at
        - updated_at
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.